function [m,c] = EA(a,b)
% Determine the greatest common divisor m of a and b. Also return the
% number of steps carried out.

% Check for ordering of inputs:
if a < b
    c = a;
    a = b;
    b = c;
end
% Run Euclidean Algorithm:
m = a;
n = b;
c = 0;
while n > 0
    r = mod(m,n);
    m = n;
    n = r;
    c = c + 1;
end
end

